Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.messaging
Class JavaSerializedDeserializer

    java.lang.Object
      rice.pastry.messaging.JavaSerializedDeserializer

All Implemented Interfaces:
  MessageDeserializer

Direct Known Subclasses:
  PJavaSerializedDeserializer

    public class JavaSerializedDeserializer

extends java.lang.Object
implements MessageDeserializer

Handles "old" java serialized messages for programming convienience and reverse compatability.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary
`protected PastryNode` | `pn` DESCRIBE THE FIELD

Constructor Summary
`JavaSerializedDeserializer(PastryNode pn)` Constructor for JavaSerializedDeserializer.

Method Summary
`Message` | `deserialize(InputBuffer buf, short type, byte priority, NodeHandle sender)` DESCRIBE THE METHOD
`void` | `setAlwaysUseJavaSerialization(boolean val)` Sets the AlwaysUseJavaSerialization attribute of the JavaSerializedDeserializer object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pn

    protected PastryNode pn

  DESCRIBE THE FIELD

Constructor Detail

### JavaSerializedDeserializer

    public JavaSerializedDeserializer(PastryNode pn)

  Constructor for JavaSerializedDeserializer.

  Parameters:
    `pn` - DESCRIBE THE PARAMETER

Method Detail

### setAlwaysUseJavaSerialization

    public void setAlwaysUseJavaSerialization(boolean val)

  Sets the AlwaysUseJavaSerialization attribute of the JavaSerializedDeserializer object

  Parameters:
    `val` - The new AlwaysUseJavaSerialization value

### deserialize

    public Message deserialize(InputBuffer buf,
                               short type,
                               byte priority,
                               NodeHandle sender)
                        throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `deserialize` in interface `MessageDeserializer`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `type` - DESCRIBE THE PARAMETER
    `priority` - DESCRIBE THE PARAMETER
    `sender` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.